SXIV(1)

NAME
sxiv - Simple X Image Viewer

SYNOPSIS
sxiv [-bcdFfhiopqrstvZ] [-g GEOMETRY] [-n NUM] [-N NAME] [-z ZOOM] FILE...

DESCRIPTION
sxiv is a simple image viewer for X. It only has the most basic features required for fast image viewing.

sxiv has two modes of operation: image and thumbnail mode. The default is image mode, in which only the current image is shown. In thumbnail mode a grid of small previews is displayed, making it easy to choose an image to open.

sxiv can also cache its thumbnails. Please see the section THUMBNAIL CACHING for information on how to enable this feature.

Please note, that the fullscreen mode requires an EWMH/NetWM compliant window manager.

OPTIONS

-b  Do not show info bar on bottom of window.

-c  Remove all orphaned cache files from the thumbnail cache directory and exit.

-d  Scale all images to 100%, but fit large images into window.

-F  Make the window fixed/floating by setting the minimum and maximum width/height size-hints to the window width/height.

-f  Start in fullscreen mode.

-g GEOMETRY
    Set window position and size. See section GEOMETRY SPECIFICATIONS of X(7) for more information on GEOMETRY.

-n NUM
    Start at picture number NUM.

-N NAME
    Set the resource name of sxiv's X window to NAME.

-h  Print brief usage information to standard output and exit.

-i  Read names of files to open from standard input.

-o  Write list of opened files to standard output when quitting. If combined with -i, then sxiv acts as a visual filter/pipe.

-p  Pixelize images, i.e. turn off anti-aliasing.

-q  Be quiet, disable warnings to standard error stream.

-r  Search the given directories recursively for images to view.

-s  Scale all images to fit into window.

-t  Start in thumbnail mode.

-v  Print version information to standard output and exit.

-Z  The same as `-z 100'.

-z ZOOM
    Scale all images to the current zoom level, use a zoom level of ZOOM at startup.

GENERAL KEYBOARD COMMANDS
The following keyboard commands are available in both image and thumbnail mode:

q   Quit sxiv.

Return
    Switch to thumbnail mode / open selected image in image mode.

0-9 Prefix the next command with a number (denoted via count).

g   Go to the first image.

G   Go to the last image, or image number count.

f   Toggle fullscreen mode.

b   Toggle visibility of info bar on bottom of window.

A   Toggle visibility of alpha-channel, i.e. image transparency.

r   Reload image.

R   Reload all thumbnails.

D   Remove current image from file list and go to next image.

THUMBNAIL KEYBOARD COMMANDS
The following keyboard commands are only available in thumbnail mode:

h, Left
    Move selection left count times.

j, Down
    Move selection down count times.

k, Up
    Move selection up count times.

l, Right
    Move selection right count times.

Ctrl-j, Ctrl-Down
    Scroll thumbnail grid one window height down.

Ctrl-k, Ctrl-Up
    Scroll thumbnail grid one window height up.

IMAGE KEYBOARD COMMANDS
The following keyboard commands are only available in image mode:

  Navigate image list

n, Space
    Go count images forward.

p, Backspace
    Go count images backward.

[   Go count * 10 images backward.

]   Go count * 10 images forward.

  Handle multi-frame images

Ctrl-n
    Go to the next frame of a multi-frame image.

Ctrl-p
    Go to the previous frame of a multi-frame image.

Ctrl-Space
    Play/pause animation of a multi-frame image.

  Zooming

+   Zoom in.

-   Zoom out.

=   Set zoom level to 100%, or count%.

w   Set zoom level to fit image into window.

e   Set zoom level to fit image width to window width.

E   Set zoom level to fit image height to window height.

  Panning

h, Left
    Pan image 1/5 of window width or count pixel left.

j, Down
    Pan image 1/5 of window height or count pixel down.

k, Up
    Pan image 1/5 of window height or count pixel up.

l, Right
    Pan image 1/5 of window width or count pixel right.

H   Pan to left image edge.

J   Pan to bottom image edge.

K   Pan to top image edge.

L   Pan to right image edge.

Ctrl-h, Ctrl-Left
    Pan image one window width left.

Ctrl-j, Ctrl-Down
    Pan image one window height down.

Ctrl-k, Ctrl-Up
    Pan image one window height up.

Ctrl-l, Ctrl-Right
    Pan image one window width right.

  Rotation

<   Rotate image counter-clockwise by 90 degrees.

>   Rotate image clockwise by 90 degrees.

  Flip

\\  Flip image horizontally.

|   Flip image vertically.

  Miscellaneous

a   Toggle anti-aliasing.

W   Resize window to fit image.

MOUSE COMMANDS
The following mouse mappings are available in image mode:

  Navigate image list

Button1
    Go to next image.

Button3
    Go to the previous image.

  Zooming

Ctrl+ScrollUp
    Zoom in.

Ctrl+ScrollDown
    Zoom out.

  Panning/Moving

Button2
    Drag the image with the mouse while keeping this button pressed down.

ScrollUp
    Pan image up.

ScrollDown
    Pan image down.

Shift+ScrollUp
    Pan image left.

Shift+ScrollDown
    Pan image right.

STATUS BAR
The information displayed on the left side of the status bar can be replaced with the output of a user-provided script, which is called by sxiv whenever an image gets loaded. The path of this script is ~/.sxiv/exec/image-info and the first argument to this script is the path of the loaded image.

There is also an example script installed together with sxiv as /usr/share/sxiv/exec/image-info.

THUMBNAIL CACHING
To enable thumbnail caching, please make sure to create the directory ~/.sxiv/cache/ with write permissions. sxiv will then store all thumbnails inside this directory, but it will not create this directory by itself. It rather uses the existance of this directory as an affirmation, that the user wants thumbnails to be cached.

Use the command line option -c to keep the cache directory clean by removing all orphaned cache files. Additionally, run the following command afterwards inside the cache directory to remove empty subdirectories:

    find . -depth -type d -empty ! -name '.' -exec rmdir {} \;

AUTHOR
    Bert Muennich   <be.muennich @ gmail.com>

CONTRIBUTORS
    Bastien Dejean  <nihilhill at gmail.com>
    Dave Reisner    <d at falconindy.com>
    Fung SzeTat     <sthorde at gmail.com>

HOMEPAGE
    http://muennich.github.com/sxiv
    https://github.com/muennich/sxiv

SEE ALSO
feh(1), qiv(1)